// Vertex Shader

attribute vec3 vPosition;
attribute vec3 inColor;
attribute vec3 vRatio;
attribute vec3 vAngle;

varying vec3 outColor;

void main()
{

	vec3 b = vPosition;
	vec3 a;

	a.x = b.x*cos(vAngle.z) - b.y*sin(vAngle.z);
	a.y = b.y*cos(vAngle.z) + b.x*sin(vAngle.z);
	a.z = b.z;

	if (vRatio.y < 1.0)
	    {
	     gl_Position = vec4(a * vRatio, 1.0);
	    }
	else
	    {
	     gl_Position = vec4(a / vRatio, 1.0);
	    }
            
	outColor = inColor;

}
